Docs
Get an API key

Qwen 3.8 27B qwen3.8-27b

Compact dense vision-language model with flexible thinking and strong coding and agentic skills.

From the live catalog
View .md
Input
$0.15 / 1M tokens
Output
$1.00 / 1M tokens
Context
256K tokens
Max output
256K tokens
region SEA quantization fp8 reasoning Hugging Face Qwen/Qwen3.8-27B-FP8

Inputs

InputAccepts
text
context 256K tokens
image
sources url, base64
formats png, jpeg, webp, gif
file
sources url, base64
formats application/pdf, text/plain, text/markdown, text/html, text/csv, application/json
max size 100 MB
video
sources url, base64
formats mp4, webm

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
temperaturenumber0–2
top_pnumber0–1
frequency_penaltynumber-2–2
presence_penaltynumber-2–2
max_tokensinteger1–262144 tokens
stoparrayup to 4 items
seedinteger
continue_final_messageboolean
top_kintegerat least 0
repetition_penaltynumber0–2
nintegerat least 1
logprobsboolean
top_logprobsinteger0–20
response_formatobjecttype: text, json_object, json_schema
structured_outputsboolean
reasoning_effortstringultra, max, xhigh, high, medium, low, minimal
reasoningobject
toolsboolean

Endpoints

A request

curl https://api.vultrinference.com/v1/chat/completions \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "qwen3.8-27b",
    "messages": [
      {
        "role": "system",
        "content": "Answer in one sentence."
      },
      {
        "role": "user",
        "content": "Why is the sky blue?"
      }
    ],
    "max_completion_tokens": 512
  }'